import React from 'react';
import { shallow } from 'enzyme';
import StageTemplateList from './StageTemplateList.jsx';
import { mockStageMilestone, mockStageTravel, mockStageWork, mockQuestionGroup } from '6thman-shared';

const stages = [mockStageMilestone].concat(mockStageTravel, mockStageWork);
const questions = mockQuestionGroup.questions;

it('Renders without crashing', () => {
  shallow(<StageTemplateList
  					stages={stages}
  					questions={questions}
  					onChange={() => {console.log('Changed');}}
  				/>);
});
